From 12040c8be6c7b02c9d1a92f7b02d871a20421559 Mon Sep 17 00:00:00 2001
From: Arnaud Rebillout <arnaudr@kali.org>
Date: Sun, 22 Aug 2021 17:15:20 +0700
Subject: contrib/localjs: Remove zip files after extraction

The purpose of fetchfiles.sh is to create a directory with all the
assets. This directory is meant to be served by the web browser.

Since the zip files are not meant to be served, what's the point of
keeping it around? Let's just remove it.

Forwarded: https://github.com/etix/mirrorbits/pull/116
---
 contrib/localjs/fetchfiles.sh | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/contrib/localjs/fetchfiles.sh b/contrib/localjs/fetchfiles.sh
index 6d68f0c..6721dc4 100755
--- a/contrib/localjs/fetchfiles.sh
+++ b/contrib/localjs/fetchfiles.sh
@@ -98,11 +98,8 @@ if [ ! -e "${localdir}/fonts" ] ; then
 	mkdir -p "${localdir}/fonts"
 fi
 downloadfile "https://google-webfonts-helper.herokuapp.com/api/fonts/lato?download=zip&subsets=latin&variants=900,regular" "${localdir}/fonts/lato-font-900and400.zip"
-# Make sure the webserver cannot access the file for licensing reasons, as
-# that would count as distribution and require proper attribution which
-# we cannot guarantee.
-chmod go-rwx "${localdir}/fonts/lato-font-900and400.zip"
 unzip "${localdir}/fonts/lato-font-900and400.zip" -d "${localdir}/fonts/"
+rm -f "${localdir}/fonts/lato-font-900and400.zip"
 
 # For fontawesome, we download and unpack the whole ZIP as well.
 # Downloading individual files will not work here, as depending on the
@@ -118,8 +115,8 @@ if [ -e "${localdir}/font-awesome/4.7.0" ] ; then
 	echo "To force redownload and extraction, remove '${localdir}/font-awesome/4.7.0'"
 else
 	downloadfile "https://fontawesome.com/v4.7.0/assets/font-awesome-4.7.0.zip" "${localdir}/font-awesome-4.7.0.zip"
-	chmod go-rwx "${localdir}/font-awesome-4.7.0.zip"
 	unzip "${localdir}/font-awesome-4.7.0.zip" -d "${localdir}/font-awesome"
+	rm -f "${localdir}/font-awesome-4.7.0.zip"
 	mv "${localdir}/font-awesome/font-awesome-4.7.0" "${localdir}/font-awesome/4.7.0"
 fi
 
-- 
2.32.0

